2

This question already has an answer here:

I am trying to use the choice.js library inside a lightning component handling select HTML Element.

I think there might be a conflict with the LockerService but there is no error displayed on the page or in the HTML.

Is there a way to know if this library is LockerService compliant ?

Choices.js

marked as duplicate by glls, Raul, Brian Mansfield, battery.cord, Gortonington Sep 28 '17 at 17:33

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • 1
    @glis this doesn't answer the question and as Christophe Coenraets said in his article it's a non- exhaustive list of libraries – Nordine Hammache Sep 28 '17 at 14:38
  • @Nordine Hammache, which is why I posted Possible duplicate of crmprogdev's post which answers this question perfectly imo – glls Sep 28 '17 at 14:46
  • 1
    @glis well except the "strict-mode" mention it actually doesn't answer the question at all. – Nordine Hammache Sep 28 '17 at 14:57
  • 1
    @glls maybe it's even worth to discuss this on meta if we want a wide open or closed attitude towards the huge number of possible js libs. A collection of verification questions that a lib works in version x in season y of Salesforce would be a great value. I would argue for One question per lib. Version re-checks should be aggregated. – Uwe Heim Oct 1 '17 at 10:29